diff --git a/src/include/lib/radixtree.h b/src/include/lib/radixtree.h
index 368186dfb4..b212722912 100644
--- a/src/include/lib/radixtree.h
+++ b/src/include/lib/radixtree.h
@@ -2935,6 +2935,8 @@ RT_VERIFY_NODE(RT_PTR_LOCAL node)
 				}
 			}
 	}
+
+	pfree(buf.data);
 #endif
 }
 
@@ -3034,6 +3036,7 @@ RT_DUMP_SEARCH(RT_RADIX_TREE *tree, uint64 key)
 	RT_UNLOCK(tree);
 
 	fprintf(stderr, "%s", buf.data);
+	pfree(buf.data);
 }
 
 // this might be better as "iterate over nodes", plus a callback to RT_DUMP_NODE,
@@ -3060,6 +3063,7 @@ RT_DUMP(RT_RADIX_TREE *tree)
 	RT_UNLOCK(tree);
 
 	fprintf(stderr, "%s",buf.data);
+	pfree(buf.data);
 }
 
 #endif /* 0 */
